
Redmine - Feature #6984

Configure order/position and visbility of tabs in menu

2010-11-25 22:31 - Terence Mill

Status: New Start date: 2010-11-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

We using some plugins and now we have about 14 tabs in project menue if all modules are enabled. Would be nice if we could at

least configure the order from left to right the tabs shall be shown and if they shall be shown or not

e.g

Activity>New Issue>PluginsTab1>Overview>Roadmap>Wiki>PluginsTab2>...

and don't even show the "Issues" tab, for example,

Related issues:

Related to Redmine - Defect #6624: Project horizontal menu layout doesn't wrap Closed 2010-10-11

Related to Redmine - Feature #10718: Advanced menu (main,context) configurati... New

Related to Redmine - Feature #12789: Redmine - design study New

Related to Redmine - Feature #15880: Consistent, global button/menu to add ne... Closed

History

#1 - 2010-11-29 18:37 - Jean-Philippe Lang

- Category set to UI

#2 - 2011-05-28 16:59 - Paul paul

+1

#3 - 2011-05-28 21:22 - Terence Mill

+1

#4 - 2011-07-30 02:33 - Seth Sandler

Is there any update to this? Is it possible to order tabs?

#5 - 2011-08-17 23:15 - Bernd Vogt

+1

#6 - 2012-04-19 19:41 - Terence Mill

related to  #10718

#7 - 2014-03-02 12:40 - Jan from Planio www.plan.io

- Related to Feature #15880: Consistent, global button/menu to add new content added

#8 - 2014-03-02 12:42 - Jan from Planio www.plan.io

I'd say it's remotely related to #15880. This would allow plugins to create or hook into sub menus to save space.

#9 - 2016-07-19 10:48 - Anh Le Giang

+ 1

#10 - 2024-05-15 16:54 - Takenori TAKAKI

- File 6984-enable-to-reorder-project-menu.patch added
#11 - 2024-05-15 16:55 - Takenori TAKAKI

- File 6984-enable-to-reorder-project-menu.patch added

I think it will be better for users to be able to customizable the project menu orders.

The attached patch will allow users to specify project menu orders in Admin->Settings->Project.

#12 - 2024-05-20 05:13 - Takenori TAKAKI

- File clipboard-202405201209-pjh4e.png added

- File clipboard-202405201212-cartb.png added

Using the patch attached in #note-11, add the following setting list to Admin->Settings->Project

 clipboard-202405201209-pjh4e.png 

The project menu will appear in the order set in the list.

 clipboard-202405201212-cartb.png 

#13 - 2024-05-21 02:49 - Takenori TAKAKI

- File 6984-enable-to-reorder-project-and-application-menu.patch added

- File clipboard-202405210944-0m4bh.png added

I propose a patch to reflect the menu order settings on the project s page as well.

project menu (project page) application menu (projects page)

clipboard-202405201212-cartb.png clipboard-202405210944-0m4bh.png 

#14 - 2024-09-13 11:14 - Go MAEDA

- Target version set to Candidate for next major release

Files

6984-enable-to-reorder-project-menu.patch 7 KB 2024-05-15 Takenori TAKAKI

6984-enable-to-reorder-project-menu.patch 7 KB 2024-05-15 Takenori TAKAKI

clipboard-202405201209-pjh4e.png 62.9 KB 2024-05-20 Takenori TAKAKI

clipboard-202405201212-cartb.png 103 KB 2024-05-20 Takenori TAKAKI

6984-enable-to-reorder-project-and-application-menu.patch 7.82 KB 2024-05-21 Takenori TAKAKI

clipboard-202405210944-0m4bh.png 117 KB 2024-05-21 Takenori TAKAKI
